English Amiga Board


Go Back   English Amiga Board > News

 
 
Thread Tools
Old 17 September 2018, 02:04   #201
gulliver
BoingBagged

 
Join Date: Aug 2007
Location: The South of nowhere
Age: 40
Posts: 1,745
BestWB is an ongoing project to develop something very much in the spirit of
BetterWB, but for AmigaOS 3.1.4. It will be launched when 3.1.4 gets released.

I have already made various betas of BestWB for testers and developers of
AmigaOS 3.1.4. It will be free, as all my stuff is, but of course, will require
a clean 3.1.4 installation (which you will of course, need to buy).

I expect that other distributions soon will follow the 3.1.4 route. I will be
happy to assist anyone wishing to adjust or create their own when the time comes.

Regarding Vampire compatibility, I cannot say anything about that, since I dont
have a Vampire. I mainly use my unexpanded A1200 (which is in a very crappy
condition) for testing, and in the future if I manage to steal a little bit
more of time, I will try it with one of my DraCos.

For the same reason, trying AfA-OS is not so straight forward for me. And
please dont suggest WinUAE, because as great as it is for nearly everything,
when doing some development stuff, it unfortunately cannot replace real
hardware when thoroughly testing.

Just to address the gentle people that suggested some kind of
donation/patronage or to change how development cost is managed:

We, and when I say we, both the testers and developers, are again doing this
as a "labor of love". We all earn zero, and all development costs are ours to
bare with. We will never recover a cent of what we invested, but we knew this
from the start. For us, it was never about money to begin with.

We just hope that some of the profit that is made from selling 3.1.4 gets used
to properly fund the costs for a next round of AmigaOS 68k development. But that
ultimately depends on how well 3.1.4 does when it gets out, and to Hyperion.

Please dont feel ignored if I just dont answer a question: it is that I have
signed an NDA, and so I am limited in the amount of information I can give you
for the time being.
gulliver is offline  
Old 17 September 2018, 07:56   #202
Romanujan
Registered User
 
Join Date: Dec 2007
Location: Szczecin/Poland
Posts: 291
Quote:
Originally Posted by gulliver View Post
We all earn zero, and all development costs are ours to bare with. We will never recover a cent of what we invested, but we knew this from the start.

Well, this makes me a little bit sad...
Romanujan is offline  
Old 17 September 2018, 13:04   #203
kolla
Registered User
kolla's Avatar
 
Join Date: Nov 2007
Location: Trondheim, Norway
Posts: 1,567
Quote:
Originally Posted by Minuous View Post
I don't believe it is intended to be a replacement for OS3.9. AFAICT it is intended for users of systems stuck on OS3.1 due to lack of a 68020 etc. Hence the low version number.
What will you do with BB3+4 when OS 3.1.4 comes with newer and more updated core OS components than what BB3+4 has? For example the official update to the 45.127 Workbench.library.
kolla is offline  
Old 17 September 2018, 13:07   #204
kolla
Registered User
kolla's Avatar
 
Join Date: Nov 2007
Location: Trondheim, Norway
Posts: 1,567
Quote:
Originally Posted by ExiE View Post
I believe the low number is coz it is based on OS 3.1 sources, not OS3.5/3.9 (these are not available...)
Parts of OS3.5/3.9 component sources are owned by their respective authors by now, some of these authors are involved with OS 3.1.4, and they are free to use this code in OS 3.1.4. Examples are tiny bits like Amiga Shell CLI (ThoR) and workbench.library (Olsen), nothing important at all
kolla is offline  
Old 17 September 2018, 13:11   #205
kolla
Registered User
kolla's Avatar
 
Join Date: Nov 2007
Location: Trondheim, Norway
Posts: 1,567
Quote:
Originally Posted by gulliver View Post
@Jope

I a do not use ToolsDaemon, but I just downloaded version 2.1 and tested with latest beta version of 3.1.4, and it seems to work without issues.
Using what version of workbench.library?

The reason for 2.2 was that workbench.library 45 supports AREXX and has an official interface for adding menus. Are you saying OS 3.1.4 does not use workbench.library 45? Or have you just not tested this properly?

Btw, I have plenty of hardware to test on... Minimig, MiST, MiSTer, A1200/060, A1200/030, A600/030, A600/V600v2, A3000/060+604, CD32/SX32Pro/030+882, CD32/TF32, CDTV/V500v2... and I am sure it would be fun, but no way I am signing any silly NDA (lolz).

Last edited by kolla; 17 September 2018 at 13:16.
kolla is offline  
Old 17 September 2018, 13:51   #206
daxb
Registered User
 
Join Date: Oct 2009
Location: Germany
Posts: 2,113
I'm guessing that you can still use the workbench.library you like. So, if the OS3.14 workbench.library has no ARexx Port inbuilt you can use the old one with ARexx. But if Olsen is the owner of workbench.library then surly it has ARexx functionally. I think he doesn't has removed it.

Last edited by daxb; 18 September 2018 at 15:26.
daxb is offline  
Old 17 September 2018, 14:49   #207
Minuous
Coder/webmaster/gamer
Minuous's Avatar
 
Join Date: Oct 2001
Location: Canberra/Australia
Posts: 1,834
@kolla:

Most likely, if there are any components of OS3.1.4 that are really better, and the user has OS3.1.4 installation media on hand, BB3&4 installer will offer to install those components onto the user's system.

@gulliver:

Just curious what is the minimum required Kickstart version for OS3.1.4 is? If the new workbench.library is based on V45.127, it will require Kickstart 3.1. Whereas IIRC OS3.1 will run on a KS3.0 machine. Thus, there is the potential to further split the userbase, between those OS3.1 users on KS3.1 that can upgrade to OS3.1.4 and those on KS3.0 that cannot.

Last edited by Minuous; 17 September 2018 at 15:07.
Minuous is offline  
Old 17 September 2018, 16:26   #208
kgc210
Registered User

 
Join Date: Jun 2016
Location: Stoke-On-Trent, England
Posts: 432
Quote:
Originally Posted by Minuous View Post
@kolla:
Whereas IIRC OS3.1 will run on a KS3.0 machine. Thus, there is the potential to further split the userbase, between those OS3.1 users on KS3.1 that can upgrade to OS3.1.4 and those on KS3.0 that cannot.

There will be new ROM's so people on KS3.0 can just upgrade to the KS3.1.4 ROM
kgc210 is offline  
Old 17 September 2018, 22:14   #209
duga
Registered User
 
Join Date: Nov 2010
Location: Sweden
Posts: 351
Quote:
Originally Posted by kgc210 View Post
There will be new ROM's so people on KS3.0 can just upgrade to the KS3.1.4 ROM
Will ROM 3.1.4 be a requirement or is ROM 3.1 enough to run Workbench 3.1.4?
duga is offline  
Old 18 September 2018, 00:29   #210
kgc210
Registered User

 
Join Date: Jun 2016
Location: Stoke-On-Trent, England
Posts: 432
Quote:
Originally Posted by duga View Post
Will ROM 3.1.4 be a requirement or is ROM 3.1 enough to run Workbench 3.1.4?
I can't say yes or no, but if you read some of the improvements that are being made quite a few of them are at ROM level. So if you only had WB3.1.4 and not the ROM you are loosing out on many improvements / bug fixes.
kgc210 is offline  
Old 18 September 2018, 03:24   #211
redblade
Zone Friend

redblade's Avatar
 
Join Date: Mar 2004
Location: Middle Earth
Age: 34
Posts: 1,187
Is this update going to fix the PCMCIA with 8MB ram? I read that some people can use 8MB ram with PCMCIA on kick 3.0 but not on 3.1. Also Kick 3.1 has better HDD support because the delay for the HD startup is longer?

Is the Workbench set going to be released with a new icon set? Are you updating the C2P routine?
redblade is offline  
Old 18 September 2018, 10:46   #212
spudje
Registered User

 
Join Date: Dec 2014
Location: Netherlands
Posts: 870
Will that be a softROM update like the 3.9 BB2? Or will it come with new (flash)ROM chips? I.e. do I have to upgrade my Amigas? And if so, will AOS 3.9 still work with a 3.1.4 ROM chip?
spudje is offline  
Old 18 September 2018, 11:33   #213
kgc210
Registered User

 
Join Date: Jun 2016
Location: Stoke-On-Trent, England
Posts: 432
Quote:
Originally Posted by spudje View Post
Will that be a softROM update like the 3.9 BB2? Or will it come with new (flash)ROM chips? I.e. do I have to upgrade my Amigas? And if so, will AOS 3.9 still work with a 3.1.4 ROM chip?
A bit back gulliver wrote the following...

Quote:
Originally Posted by gulliver View Post
Yes, we have new roms which are not patched, they are heavily reworked from sources and have fixes and enhancements all over the place. The system is now 68060 friendly by design.

-Scsi.device now properly handles disks greater than 4GB without problems, and is properly supported within the OS. I mean that all disk based commands and tools can operate both with large filenames and drives bigger than 4GB, which was never the case before (even in patched 3.9 systems).
For the native support for 060 CPU's there will have to be changes in the physical ROM such as exec.library
I don't think there would be a way to soft boot the ROM, but I am not involved in 3.1.4 so only guessing.
kgc210 is offline  
Old 18 September 2018, 12:04   #214
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,889
@gulliver
Hello gulliver, but the new 3.1.4 in particular which type of user will serve? to users who like to gaming i do not think 3.1.4 can help a lot, indeed I believe it could be less compatible with games than 3.0 or 3.1.

If I understand correctly, correct me if I'm wrong, 3.1.4 will instead be useful to those who love a modern Workbench or RTG or wrong?

Last edited by AMIGASYSTEM; 18 September 2018 at 13:00.
AMIGASYSTEM is offline  
Old 18 September 2018, 13:16   #215
Olaf Barthel
Registered User
 
Join Date: Aug 2010
Location: Lehrte, Germany
Posts: 192
Quote:
Originally Posted by Minuous View Post
Hang on. I do wonder how Vesalia manages to sell this after some 20 years. Same goes for the Amiga Developer CD 2.1.
Olaf Barthel is offline  
Old 18 September 2018, 13:20   #216
Olaf Barthel
Registered User
 
Join Date: Aug 2010
Location: Lehrte, Germany
Posts: 192
Quote:
Originally Posted by idrougge View Post
But no ARexx port?
The 3.1.4 update reuses and updates as many OS 3.5/3.9 components as were available for reuse and updating.

The workbench.library is derived from the OS 3.9 version, which among other things features an ARexx port (added by yours truly back in the day).
Olaf Barthel is offline  
Old 18 September 2018, 14:33   #217
indigolemon
Bit Copying Bard

indigolemon's Avatar
 
Join Date: Jan 2017
Location: Kelty, Fife, Scotland
Age: 36
Posts: 538
Quote:
Originally Posted by Olaf Barthel View Post
The 3.1.4 update reuses and updates as many OS 3.5/3.9 components as were available for reuse and updating.

The workbench.library is derived from the OS 3.9 version, which among other things features an ARexx port (added by yours truly back in the day).
Most excellent news - so I assume for those of us with existing 3.9 setups we can swap the ROMS and then just use SetPatch and SKIPROMUPDATES to utilise the new 'in ROM' versions?
indigolemon is offline  
Old 18 September 2018, 15:25   #218
talybont
Registered User

 
Join Date: Oct 2016
Location: Norway
Posts: 115
Quote:
Originally Posted by indigolemon View Post
Most excellent news - so I assume for those of us with existing 3.9 setups we can swap the ROMS and then just use SetPatch and SKIPROMUPDATES to utilise the new 'in ROM' versions?

You would probably need to use the 3.1.4 version of SetPatch as well, and all other related and updated files/libraries. I'm not sure this is the intended way to utilize 3.1.4 though, but I'm sure you can make it work somehow.
talybont is offline  
Old 18 September 2018, 15:49   #219
indigolemon
Bit Copying Bard

indigolemon's Avatar
 
Join Date: Jan 2017
Location: Kelty, Fife, Scotland
Age: 36
Posts: 538
Quote:
Originally Posted by talybont View Post
You would probably need to use the 3.1.4 version of SetPatch as well, and all other related and updated files/libraries. I'm not sure this is the intended way to utilize 3.1.4 though, but I'm sure you can make it work somehow.
Sounds like it could be fun, I do enjoy a good fight with my Amiga
indigolemon is offline  
Old 18 September 2018, 15:59   #220
Jope
-
Jope's Avatar
 
Join Date: Jul 2003
Location: Helsinki / Finland
Age: 38
Posts: 6,917
Quote:
Originally Posted by talybont View Post
You would probably need to use the 3.1.4 version of SetPatch as well, and all other related and updated files/libraries. I'm not sure this is the intended way to utilize 3.1.4 though, but I'm sure you can make it work somehow.
Otoh if it's released "when ready", there shouldn't be anything left for the 3.1.4 setpatch to patch. ;-)

(yes, yes, aga compatibility enable and some other things that may break legacy sw if turned on by default)
Jope is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
Available now: AmigaOS 3.1.4 bubbob42 News 587 12 November 2018 08:01
Would AmigaOS 3.9 be ok for me? stu232 support.Hardware 12 02 October 2013 19:20
AmigaOS 3.9 PoLoMoTo support.WinUAE 8 27 August 2011 19:06
AmigaOS 3.5 or 3.9 maddoc666 support.Apps 12 22 February 2010 09:02
AmigaOS XL sturme New to Emulation or Amiga scene 4 15 January 2002 03:13

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 01:37.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.
Page generated in 0.10311 seconds with 16 queries